/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.Commons;

import com.google.gwt.resources.client.ImageResource;
import com.google.gwt.user.client.ui.Image;


/**
 * This class is used to add the column index in the image instantiated.
 * 
 * @author Jean-Yves Goubet
 *
 */
public class IndexImage extends Image {
  
  // it's the column index
  private int columnIndex;
  
  // it's the row index
  private int rowIndex;
  
  
  /**
   * Constructor of the class
   * 
   * @author Jean-Yves Goubet
   * @param imageResource : the resource of the image
   * @param index : the index of the image depending on the type
   * @param type : the type of the index : row or column
   * 
   */
  public IndexImage(ImageResource imageResource, int index, boolean type) {
    super(imageResource);
    if (type) {
      this.columnIndex = index;
    } else {
      this.rowIndex = index;
    }
  }
  
  
  /**
   * Getter of the columnIndex parameter
   * 
   * @author Jean-Yves Goubet
   * @return int : the columnIndex value
   * 
   */
  public int getColumnIndex() {
    return columnIndex;
  }
  
  
  /**
   * Getter of the rowIndex parameter
   * 
   * @author Jean-Yves Goubet
   * @return int : the rowIndex value
   * 
   */
  public int getRowIndex() {
    return rowIndex;
  }
}
