/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.Commons;

/**
 * Class extended by presenters to force implementation of different methods
 * 
 * @author Mathieu Crassin
 * 
 */
public abstract class PresenterIF {
  
  
  /**
   * This method binds the view with its presenter
   * 
   * @author Mathieu Crassin
   * @param viewToBind : the view to bind
   * 
   */
  protected abstract void bindingView(final Object viewToBind);
  
  
  /**
   * This method adds the different listeners
   * 
   * @author Mathieu Crassin
   */
  protected abstract void addListeners();
  
  
  /**
   * This method sets the debug id for elements in the view
   * 
   * @author Mathieu Crassin
   * 
   */
  protected abstract void setDebugID();
  
  
  /**
   * This method destroys the presenter
   * 
   * @author Mathieu Crassin
   * 
   */
  public abstract void destroy();
  
}
