/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.Commons;

import com.google.gwt.user.client.ui.Label;


/**
 * This class is used to add the row index in the label instantiated.
 * 
 * @author Jean-Yves Goubet
 *
 */
public final class RowLabel extends Label {
  
  // the row index of the label
  private int rowIndex;
  
  
  /**
   * Constructor of the class
   * 
   * @author Jean-Yves Goubet
   * @param text : the text of the label
   * @param rowIndex : the index of the label
   * @param wordwrap : the wordwrap parameter
   * 
   */
  public RowLabel(String text, int rowIndex, boolean wordwrap) {
    super(text,wordwrap);
    this.rowIndex = rowIndex;
  }

  
  /**
   * Getter of the rowIndex parameter
   * 
   * @author Jean-Yves Goubet
   * @return int : the value of the row index
   * 
   */
  public int getRowIndex() {
    return rowIndex;
  }
}
