/**
 * Copyright (C) 2011  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.console.GWTConsole.client.Commons.celltable;

import com.google.gwt.user.client.ui.HTML;
import com.google.gwt.user.client.ui.UIObject;


/**
 * @author Guillaume Porcher
 *
 */
public class HTMLCell extends AbstractDebuggableCell<String> {

  private final HTML label = new HTML();

  public HTMLCell(final String debugPrefix) {
    super(debugPrefix);
    this.label.setStyleName("leftAlignStyle");
    this.label.setWordWrap(true);
  }


  @Override
  protected UIObject renderAsUIObject(final Context context, final String value) {
    if (value != null) {
      this.label.setHTML(value);
      return this.label;
    }
    return null;
  }

}
