/**
 * Copyright (C) 2011  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.console.GWTConsole.client.Commons.celltable;

import com.google.gwt.i18n.client.DateTimeFormat;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.UIObject;

import java.util.Date;


/**
 * @author Guillaume Porcher
 *
 */
public class NullableDateCell extends AbstractDebuggableCell<Date> {

  private static final DateTimeFormat DATE_FORMAT = DateTimeFormat.getFormat("MM/dd/yyyy 'at' HH:mm:ss");

  private final DateTimeFormat format;

  public NullableDateCell(final String debugPrefix) {
    this(NullableDateCell.DATE_FORMAT, debugPrefix);
  }

  public NullableDateCell(final DateTimeFormat format, final String debugPrefix) {
    super(debugPrefix);
    this.format = format;
  }

  @Override
  protected UIObject renderAsUIObject(final Context context, final Date value) {
    if (value != null) {
      return new Label(this.format.format(value));
    } else {
      return new Label("N/A");
    }
  }
}
