/**
 * Copyright (C) 2011  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.console.GWTConsole.client.Dashboard;


import com.google.gwt.core.client.GWT;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.uibinder.client.UiTemplate;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.Widget;
import org.ow2.orchestra.console.GWTConsole.client.ConsoleEventBus;
import org.ow2.orchestra.console.GWTConsole.client.Event.ViewRefreshEvent;
import org.ow2.orchestra.console.GWTConsole.client.Event.ViewRefreshHandler;
import org.ow2.orchestra.console.GWTConsole.client.Tab.PTab;
import org.ow2.orchestra.reporting.client.ReportWidget;

public class VDashboard extends Composite implements VDashboardIF {

  @UiTemplate("VDashboard.ui.xml")
  interface VDashboardUiBinder extends UiBinder<Widget, VDashboard> {
  }

  private static VDashboardUiBinder uiBinder = GWT.create(VDashboardUiBinder.class);



  @UiField
  ReportWidget report1;
  @UiField
  ReportWidget report2;

  public VDashboard() {
    initWidget(VDashboard.uiBinder.createAndBindUi(this));

    call();
    this.addViewRefreshHandlerToBus();

  }

  /**
   * To call the report widget
   *
   *
   */

  private void call() {


    report1.setReportName("processes_by_state_all_versions.rptdesign");
    report1.callReport();
    report2.setReportName("processes_by_state.rptdesign");
    report2.callReport();

  }


  private void addViewRefreshHandlerToBus() {
    ConsoleEventBus.getEventBus().addHandler(ViewRefreshEvent.TYPE, new ViewRefreshHandler() {

      public void onRefresh(final ViewRefreshEvent viewRefreshEvent) {
        if (viewRefreshEvent.getElementType() == PTab.Type.REPORTING_ALL) {
          VDashboard.this.call();
        }

      }
    });

  }
}


