/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.InfoBar;

import com.google.gwt.core.client.GWT;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.uibinder.client.UiTemplate;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.Label;
import com.google.gwt.user.client.ui.Widget;


/**
 * This class is the bar between banner and tablayoutpanel the displays information.
 *
 * @author Jean-Yves Goubet
 *
 */
public class VInfoBar extends Composite implements VInfoBarIF {

  @UiTemplate ("VInfoBar.ui.xml")
  interface MyUiBinder extends UiBinder<Widget, VInfoBar> { }
  private static MyUiBinder uiBinder = GWT.create(MyUiBinder.class);

  @UiField Label orchestraLabel;
  @UiField Label refreshLabel;


  /**
   * Constructor of the clasee
   *
   * @author Jean-Yves Goubet
   *
   */
  public VInfoBar() {
    this.initWidget(VInfoBar.uiBinder.createAndBindUi(this));
  }

  /**
   * Getter of the refresh label
   *
   * @author Jean-Yves Goubet
   */
  public Label getRefreshLabel() {
    return refreshLabel;
  }

  /**
   * Getter of the orchestra label
   *
   * @author Jean-Yves Goubet
   */
  public Label getOrchestraLabel() {
    return orchestraLabel;
  }

}
