/**
 * Copyright (C) 2011  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.console.GWTConsole.client.ListInstance;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author Loic Albertin
 * 
 */
public class MInstancePage implements Serializable {

  /**
   * 
   */
  private static final long serialVersionUID = 7862206071604845008L;

  private List<MInstance> instances = new ArrayList<MInstance>();

  private long totalInstancesCount = -1;

  /**
   * @param instances
   * @param totalInstancesCount
   */
  public MInstancePage(List<MInstance> instances, int totalInstancesCount) {
    this.instances.addAll(instances);
    this.totalInstancesCount = totalInstancesCount;
  }

  /**
   * @param instances
   */
  public MInstancePage(List<MInstance> instances) {
    this.instances.addAll(instances);
  }

  /**
   *
   */
  public MInstancePage() {
  }

  /**
   * @return the instances
   */
  public List<MInstance> getInstances() {
    return instances;
  }

  /**
   * @return the totalInstancesCount
   */
  public long getTotalInstancesCount() {
    return totalInstancesCount;
  }

  /**
   * @param totalInstancesCount the totalInstancesCount to set
   */
  public void setTotalInstancesCount(long totalInstancesCount) {
    this.totalInstancesCount = totalInstancesCount;
  }

}
