/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.ListInstanceActivity;


import com.google.gwt.user.client.rpc.IsSerializable;
import java.util.Date;


/**
 * model class used to store information of instance activities
 *
 * @author Jean-Yves Goubet
 */
public final class MInstanceActivity implements IsSerializable {

  private String instanceActivityId;
  private String instanceActivityName;
  private String instanceActivityDefId;
  private String instanceActivityType;
  private String instanceActivityState;
  private Date instanceActivityBeginDate;
  private Date instanceActivityEndDate;

  public String getInstanceActivityId() {
    return this.instanceActivityId;
  }

  public String getInstanceActivityName() {
    return this.instanceActivityName;
  }

  public String getInstanceActivityType() {
    return this.instanceActivityType;
  }

  public String getInstanceActivityState() {
    return this.instanceActivityState;
  }

  public Date getInstanceActivityBeginDate() {
    return this.instanceActivityBeginDate;
  }

  public Date getInstanceActivityEndDate() {
    return this.instanceActivityEndDate;
  }

  public String getInstanceActivityDefId() {
    return this.instanceActivityDefId;
  }

  public MInstanceActivity(final String instanceActivityId, final String instanceActivityDefId, final String instanceActivityName, final String instanceActivityType, final String instanceActivityState,
                           final Date instanceActivityBeginDate, final Date instanceActivityEndDate) {
    this.instanceActivityId = instanceActivityId;
    this.instanceActivityDefId = instanceActivityDefId;
    this.instanceActivityName = instanceActivityName;
    this.instanceActivityType = instanceActivityType;
    this.instanceActivityState = instanceActivityState;
    this.instanceActivityBeginDate = instanceActivityBeginDate;
    this.instanceActivityEndDate = instanceActivityEndDate;
  }

  public MInstanceActivity() {
    this.instanceActivityId = null;
    this.instanceActivityDefId = null;
    this.instanceActivityName = null;
    this.instanceActivityType = null;
    this.instanceActivityState = null;
    this.instanceActivityBeginDate = null;
    this.instanceActivityEndDate = null;
  }
}
