/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.ListProcessActivity;


import java.util.List;

import com.google.gwt.user.client.rpc.IsSerializable;


/**
 * model class used to store information of process activities
 *
 * @author Jean-Yves Goubet
 */
public final class MProcessActivity implements IsSerializable {

  private String processActivityName = null;
  private String processActivityType = null;
  private String processActivityId = null;
  private String documentation = null;
  private List<String> childrenActivities = null;
  private List<String> sourceLinks = null;
  private List<String> targetLinks = null;
  private List<MProcessSubActivity> subActivities = null;

  public String getProcessActivityName() {
    return this.processActivityName;
  }

  public String getProcessActivityType() {
    return this.processActivityType;
  }

  public String getProcessActivityId() {
    return this.processActivityId;
  }

  public List<String> getChildrenActivities() {
    return this.childrenActivities;
  }

  public List<String> getSourceLinks() {
    return this.sourceLinks;
  }

  public List<String> getTargetLinks() {
    return this.targetLinks;
  }

  public List<MProcessSubActivity> getSubActivities() {
    return this.subActivities;
  }

  public String getDocumentation() {
    return this.documentation;
  }

  public MProcessActivity(
          final String processActivityId,
          final String processActivityName,
          final String processActivityType,
          final String documentation,
          final List<String> childrenActivities,
          final List<String> sources,
          final List<String> targets,
          final List<MProcessSubActivity> subActivities) {
    this.processActivityName = processActivityName;
    this.processActivityType = processActivityType;
    this.processActivityId = processActivityId;
    this.documentation = documentation;
    this.childrenActivities = childrenActivities;
    this.sourceLinks = sources;
    this.targetLinks = targets;
    this.subActivities = subActivities;
  }

  protected MProcessActivity() {

  }
}
